Sending Bulk Emails
curl --request POST \
--url https://{globale_api_domain}/emails \
--header 'Content-Type: application/json' \
--data '
{
"emailTypeName": "Delayedfulfillment",
"senderEmailAddress": "globale@global-e.com",
"reportToEmailAddress": "reports@example.com",
"orderIds": [
"GE399999999GB"
],
"placeholders": {
"{DelayReason}": "TR_OverloadDelayReason",
"{DelayDaysCount}": "2"
}
}
'import requests
url = "https://{globale_api_domain}/emails"
payload = {
"emailTypeName": "Delayedfulfillment",
"senderEmailAddress": "globale@global-e.com",
"reportToEmailAddress": "reports@example.com",
"orderIds": ["GE399999999GB"],
"placeholders": {
"{DelayReason}": "TR_OverloadDelayReason",
"{DelayDaysCount}": "2"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
emailTypeName: 'Delayedfulfillment',
senderEmailAddress: 'globale@global-e.com',
reportToEmailAddress: 'reports@example.com',
orderIds: ['GE399999999GB'],
placeholders: {'{DelayReason}': 'TR_OverloadDelayReason', '{DelayDaysCount}': '2'}
})
};
fetch('https://{globale_api_domain}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'emailTypeName' => 'Delayedfulfillment',
'senderEmailAddress' => 'globale@global-e.com',
'reportToEmailAddress' => 'reports@example.com',
'orderIds' => [
'GE399999999GB'
],
'placeholders' => [
'{DelayReason}' => 'TR_OverloadDelayReason',
'{DelayDaysCount}' => '2'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/emails"
payload := strings.NewReader("{\n \"emailTypeName\": \"Delayedfulfillment\",\n \"senderEmailAddress\": \"globale@global-e.com\",\n \"reportToEmailAddress\": \"reports@example.com\",\n \"orderIds\": [\n \"GE399999999GB\"\n ],\n \"placeholders\": {\n \"{DelayReason}\": \"TR_OverloadDelayReason\",\n \"{DelayDaysCount}\": \"2\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/emails")
.header("Content-Type", "application/json")
.body("{\n \"emailTypeName\": \"Delayedfulfillment\",\n \"senderEmailAddress\": \"globale@global-e.com\",\n \"reportToEmailAddress\": \"reports@example.com\",\n \"orderIds\": [\n \"GE399999999GB\"\n ],\n \"placeholders\": {\n \"{DelayReason}\": \"TR_OverloadDelayReason\",\n \"{DelayDaysCount}\": \"2\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"emailTypeName\": \"Delayedfulfillment\",\n \"senderEmailAddress\": \"globale@global-e.com\",\n \"reportToEmailAddress\": \"reports@example.com\",\n \"orderIds\": [\n \"GE399999999GB\"\n ],\n \"placeholders\": {\n \"{DelayReason}\": \"TR_OverloadDelayReason\",\n \"{DelayDaysCount}\": \"2\"\n }\n}"
response = http.request(request)
puts response.read_body"Processing is in progress. You will get an email after the process is complete."{
"Code": "<string>",
"Error": "<string>",
"Description": "<string>"
}Sending Bulk Emails (Merchant to Global-e)
Send CS (bulk) emails to multiple addressees in a single API call by providing order IDs, an email type, and optional placeholders.
POST
/
emails
Sending Bulk Emails
curl --request POST \
--url https://{globale_api_domain}/emails \
--header 'Content-Type: application/json' \
--data '
{
"emailTypeName": "Delayedfulfillment",
"senderEmailAddress": "globale@global-e.com",
"reportToEmailAddress": "reports@example.com",
"orderIds": [
"GE399999999GB"
],
"placeholders": {
"{DelayReason}": "TR_OverloadDelayReason",
"{DelayDaysCount}": "2"
}
}
'import requests
url = "https://{globale_api_domain}/emails"
payload = {
"emailTypeName": "Delayedfulfillment",
"senderEmailAddress": "globale@global-e.com",
"reportToEmailAddress": "reports@example.com",
"orderIds": ["GE399999999GB"],
"placeholders": {
"{DelayReason}": "TR_OverloadDelayReason",
"{DelayDaysCount}": "2"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
emailTypeName: 'Delayedfulfillment',
senderEmailAddress: 'globale@global-e.com',
reportToEmailAddress: 'reports@example.com',
orderIds: ['GE399999999GB'],
placeholders: {'{DelayReason}': 'TR_OverloadDelayReason', '{DelayDaysCount}': '2'}
})
};
fetch('https://{globale_api_domain}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'emailTypeName' => 'Delayedfulfillment',
'senderEmailAddress' => 'globale@global-e.com',
'reportToEmailAddress' => 'reports@example.com',
'orderIds' => [
'GE399999999GB'
],
'placeholders' => [
'{DelayReason}' => 'TR_OverloadDelayReason',
'{DelayDaysCount}' => '2'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/emails"
payload := strings.NewReader("{\n \"emailTypeName\": \"Delayedfulfillment\",\n \"senderEmailAddress\": \"globale@global-e.com\",\n \"reportToEmailAddress\": \"reports@example.com\",\n \"orderIds\": [\n \"GE399999999GB\"\n ],\n \"placeholders\": {\n \"{DelayReason}\": \"TR_OverloadDelayReason\",\n \"{DelayDaysCount}\": \"2\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/emails")
.header("Content-Type", "application/json")
.body("{\n \"emailTypeName\": \"Delayedfulfillment\",\n \"senderEmailAddress\": \"globale@global-e.com\",\n \"reportToEmailAddress\": \"reports@example.com\",\n \"orderIds\": [\n \"GE399999999GB\"\n ],\n \"placeholders\": {\n \"{DelayReason}\": \"TR_OverloadDelayReason\",\n \"{DelayDaysCount}\": \"2\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"emailTypeName\": \"Delayedfulfillment\",\n \"senderEmailAddress\": \"globale@global-e.com\",\n \"reportToEmailAddress\": \"reports@example.com\",\n \"orderIds\": [\n \"GE399999999GB\"\n ],\n \"placeholders\": {\n \"{DelayReason}\": \"TR_OverloadDelayReason\",\n \"{DelayDaysCount}\": \"2\"\n }\n}"
response = http.request(request)
puts response.read_body"Processing is in progress. You will get an email after the process is complete."{
"Code": "<string>",
"Error": "<string>",
"Description": "<string>"
}Make sure your integration follows the latest authentication and IP whitelisting guidelines.
Part of the Sending Bulk Emails integration guide — see it for when and how to use this endpoint.
Body
application/json
Request body for the Sending Bulk Emails API. Fields and mandatory markers are taken verbatim from the page's Parameters table.
The mail address of the sender that the addressee sees. The default sender mail address is DoNotReply@globle.com or other mail specified by the merchant.
Response
Processing is in progress. You will get an email after the process is complete.
The response is of type string.

